Imagick::annotateImage
Imagick::averageImages
The Imagick class
PHP Manual

# Imagick::appendImages

(PECL imagick 2.0.0)

Imagick::appendImages — Append a set of images

### Description

Imagick Imagick::appendImages ( bool `$stack` )

Append a set of images into one larger image.

### Parameters

`stack`

  The direction of the stack (top to bottom or bottom to top)

### Return Values

Returns Imagick instance on success. Throw an ImagickException on error.

### Examples

Example #1 Imagick::appendImages example

`<?php
/* Create new imagick object */
$im = new Imagick();
/* create red, green and blue images */
$im->newImage(100, 50, "red");
$im->newImage(100, 50, "green");
$im->newImage(100, 50, "blue");
/* Append the images into one */
$im->resetIterator();
$combined = $im->appendImages(true);
/* Output the image */
$combined->setImageFormat("png");
header("Content-Type: image/png");
echo $combined;
?>`

The above example will output something similar to:

Imagick::annotateImage
Imagick::averageImages
The Imagick class
PHP Manual